%define name servicelog
%define version 1.1.9

Name:           %{name}
Version:        %{version}
Release:        5%{?dist}
Summary:        Servicelog Tools

Group:          System Environment/Base
License:        GPLv2
URL:            http://linux-diag.sourceforge.net/servicelog
Source0:        http://downloads.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libservicelog-devel

%description
Command-line interfaces for viewing and manipulating the contents of
the servicelog database.  Servicelog contains entries that are useful
for performing system service operations, and for providing a history
of service operations that have been performed on the system.

%files
%defattr(744,bin,bin,-)
%doc COPYING
%{_bindir}/servicelog
%{_bindir}/v1_servicelog
%{_bindir}/v29_servicelog
%{_bindir}/servicelog_notify
%{_bindir}/log_repair_action
%{_sbindir}/slog_common_event
%{_bindir}/servicelog_manage
/usr/share/man/man8/log_repair_action.8.gz
/usr/share/man/man8/servicelog_notify.8.gz
/usr/share/man/man8/servicelog.8.gz


%prep
%setup -q
mkdir -p usr/share/man/man8/
cp doc/log_repair_action.8 usr/share/man/man8/log_repair_action.8
cp doc/servicelog_notify.8 usr/share/man/man8/servicelog_notify.8
cp doc/servicelog.8 usr/share/man/man8/servicelog.8

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%changelog

* Mon Aug 18 2008 Mike Strosaker <strosake at austin.ibm.com> 1.0.1
- Various small fixes to the servicelog_notify command

* Tue Mar 04 2008 Mike Strosaker <strosake at austin.ibm.com> 1.0.0
- Initial creation of the package
